
extdesc="the Rsync Extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source setup.bash && popd
    export gsopt_noexts=
  fi
fi

if [ "x$GEXTRSYNC" = "x" ] ; then

  export RSYNCOS=`uname -s | tr '[A-Z]' '[a-z]' | sed 's/\([0-9]\+\)\?_.*$//'`

  if [ $RSYNCOS = "mingw" ] ; then
    MINGW_CFLAGS="-Duint16_t=u_int16_t -Duint32_t=u_int32_t -Duint64_t=u_int64_t -Doff64_t=u_int64_t"

    if [ "x$CFLAGS" = "x" ] ; then
      export CFLAGS="$MINGW_CFLAGS"
    else 
      export CFLAGS="$CFLAGS $MINGW_CFLAGS"
    fi
  fi


  export GEXTRSYNC=$fulldir
  export GEXTRSYNC_INSTALLED=$GEXTRSYNC/$GSDLOS

  export PATH=$GEXTRSYNC_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTRSYNC_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTRSYNC_INSTALLED/lib:$LD_LIBRARY_PATH
  fi

  extdir=${GEXTRSYNC##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi

  echo "+Your environment is now setup for $extdesc to Greenstone"
else
  echo "+Your environment is already setup for $extdesc to Greenstone"
fi


